SEED Class Reference

SEED block cipher. More...

`#include <seed.h>`

Inheritance diagram for SEED:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal< DECRYPTION, Base > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from SEED_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.
Static Public Attributes inherited from FixedRounds< 16 >
static const int | ROUNDS
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

SEED block cipher.

See also
  SEED

Since
  Crypto++ 5.6.0

Definition at line 25 of file seed.h.

## Member Typedef Documentation

## Encryption

typedef BlockCipherFinal<ENCRYPTION, Base> SEED::Encryption

Definition at line 38 of file seed.h.

## Decryption

typedef BlockCipherFinal<DECRYPTION, Base> SEED::Decryption

Definition at line 39 of file seed.h.

The documentation for this class was generated from the following file:

- seed.h